package com.isu.gaswellwatch.modbus.data.decode.impl;

import com.isu.gaswellwatch.modbus.data.ModbusMessage;
import com.isu.gaswellwatch.modbus.data.decode.DecodeHandler;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 无符号整数转换
 *
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/12/10 22:48
 */
@Component(UnsignedNumberDecodeHandler.NAME + DecodeHandler.DECODE_NAME)
public class UnsignedNumberDecodeHandler implements DecodeHandler {
    public static final String NAME = "unsignedNumber";

    @Override
    public String decode(Map<String, Object> commandPointMap, String value) {
        if (StringUtils.isBlank(value)) {
            return value;
        }
        return String.valueOf(Integer.parseInt(value, 16));
    }

    @Override
    public void decode(Map<String, Object> commandPointMap, ModbusMessage.MessagePoint point) {
        point.setValue(this.decode(commandPointMap, point.getOriginalValue()));
    }

}
